Apache Struts API Documentation: Class Rule

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.digester
Class Rule

    java.lang.Object
      |
      +--org.apache.struts.digester.Rule

Direct Known Subclasses:
  AddDataSourceRule, CallMethodRule, CallParamRule, ObjectCreateRule, SetNextRule, SetPropertiesRule, SetPropertyRule, SetTopRule

public abstract class Rule
extends java.lang.Object

Concrete implementations of this class implement actions to be taken when a corresponding nested pattern of XML elements has been matched.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig McClanahan

Field Summary
`protected Digester` | `digester` The Digester with which this Rule is associated.

Constructor Summary
`Rule(Digester digester)` Default constructor sets only the the associated Digester.

Method Summary
`void` | `begin(org.xml.sax.AttributeList attributes)` This method is called when the beginning of a matching XML element is encountered.
`void` | `body(java.lang.String text)` This method is called when the body of a matching XML element is encountered.
`void` | `end()` This method is called when the end of a matching XML element is encountered.
`void` | `finish()` This method is called after all parsing methods have been called, to allow Rules to remove temporary data.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### digester

    protected Digester digester

  The Digester with which this Rule is associated.

Constructor Detail

### Rule

    public Rule(Digester digester)

  Default constructor sets only the the associated Digester.
  Parameters:
    `digester` - The digester with which this rule is associated

Method Detail

### begin

    public void begin(org.xml.sax.AttributeList attributes)
               throws java.lang.Exception

  This method is called when the beginning of a matching XML element is encountered.
  Parameters:
    `attributes` - The attribute list of this element

### body

    public void body(java.lang.String text)
              throws java.lang.Exception

  This method is called when the body of a matching XML element is encountered. If the element has no body, this method is not called at all.
  Parameters:
    `text` - The text of the body of this element

### end

    public void end()
             throws java.lang.Exception

  This method is called when the end of a matching XML element is encountered.

### finish

    public void finish()
                throws java.lang.Exception

  This method is called after all parsing methods have been called, to allow Rules to remove temporary data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation